version: "2.4"
services:
  radarr:
    image: linuxserver/radarr
    container_name: radarr
    environment:
      PUID: 1000
      PGID: 1000
      TZ: Australia/Melbourne
      # UMASK_SET: 022 #optional
      VIRTUAL_HOST: "radarr.home.toozhao.com"
      VIRTUAL_PORT: 7878
      LETSENCRYPT_HOST: "radarr.home.toozhao.com"
      LETSENCRYPT_EMAIL: "me@toozhao.com"
    volumes:
      - /mnt/configs/radarr:/config
      - /mnt/downloads:/movies
      - /mnt/downloads:/downloads
    ports:
      - 7878:7878
    restart: unless-stopped
    mem_limit: 1024m
    mem_reservation: 128m
    cpu_percent: 20
    networks:
      - gateway_default
networks:
  gateway_default:
    external: true
